---
title: tooling::RCGossipReceivedEvent

---

# tooling::RCGossipReceivedEvent





Inherits from [tooling::RouterEvent](Classes/structtooling_1_1RouterEvent.md)

## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[RCGossipReceivedEvent](Classes/structtooling_1_1RCGossipReceivedEvent.md#function-rcgossipreceivedevent)**(const [llarp::RouterID](Classes/structllarp_1_1RouterID.md) & routerID, const [llarp::RouterContact](Classes/structllarp_1_1RouterContact.md) & rc_) |
| virtual std::string | **[ToString](Classes/structtooling_1_1RCGossipReceivedEvent.md#function-tostring)**() const override |
| std::string | **[LongString](Classes/structtooling_1_1RCGossipReceivedEvent.md#function-longstring)**() const |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| [llarp::RouterContact](Classes/structllarp_1_1RouterContact.md) | **[rc](Classes/structtooling_1_1RCGossipReceivedEvent.md#variable-rc)**  |

## Additional inherited members

**Public Functions inherited from [tooling::RouterEvent](Classes/structtooling_1_1RouterEvent.md)**

|                | Name           |
| -------------- | -------------- |
| | **[RouterEvent](Classes/structtooling_1_1RouterEvent.md#function-routerevent)**(std::string eventType, [llarp::RouterID](Classes/structllarp_1_1RouterID.md) routerID, bool triggered) |
| virtual | **[~RouterEvent](Classes/structtooling_1_1RouterEvent.md#function-~routerevent)**() =default |

**Public Attributes inherited from [tooling::RouterEvent](Classes/structtooling_1_1RouterEvent.md)**

|                | Name           |
| -------------- | -------------- |
| const std::string | **[eventType](Classes/structtooling_1_1RouterEvent.md#variable-eventtype)**  |
| [llarp::RouterID](Classes/structllarp_1_1RouterID.md) | **[routerID](Classes/structtooling_1_1RouterEvent.md#variable-routerid)**  |
| bool | **[triggered](Classes/structtooling_1_1RouterEvent.md#variable-triggered)**  |


## Public Functions Documentation

### function RCGossipReceivedEvent

```cpp
inline RCGossipReceivedEvent(
    const llarp::RouterID & routerID,
    const llarp::RouterContact & rc_
)
```


### function ToString

```cpp
inline virtual std::string ToString() const override
```


**Reimplements**: [tooling::RouterEvent::ToString](Classes/structtooling_1_1RouterEvent.md#function-tostring)


### function LongString

```cpp
inline std::string LongString() const
```


## Public Attributes Documentation

### variable rc

```cpp
llarp::RouterContact rc;
```


-------------------------------

Updated on 2023-01-30 at 17:55:37 +0000